import request from '@/utils/request'


// 圆环列表
export function treeselect(query) {
  return request({
    url: '/sts/smsts/' + query ,
    method: 'get'
  })
}

// 圆环列表上部

export function abnormal(query) {
  return request({
    url: '/kaoQin/abnormal' ,
    method: 'get',
    params: query
  })
}


// 查询本周重点人群核酸检测
export function abnormalday(query) {
  return request({
    url: '/kaoQin/day/abnormal',
    method: 'get',
    params: query
  })
}

export function bk(query) {
  return request({
    url: '/kaoQin/week/bk',
    method: 'get',
    params: query
  })
}


export function qj(query) {
  return request({
    url: '/kaoQin/week/qj',
    method: 'get',
    params: query
  })
}

export function clockRecord(data) {
  return request({
    url: '/kaoQin/clockRecord',
    method: 'post',
     data: data
  })
}



// 查询设备信息列表
export function abnormalmonth(query) {
  return request({
    url: '/kaoQin/month/abnormal',
    method: 'get',
    params: query
  })
}



// 折线图
export function listzhex(data) {
  return request({
    url: '/index/brokenLine',
   method: 'post',
   data: data
  })
}

// 雷达图
export function listleida(query) {
  return request({
    url: '/sts/echarts1 ',
    method: 'get',
    params: query
  })
}
// 底部圆环数据
export function listdbyh(query) {
  return request({
    url: '/sts/echarts2 ',
    method: 'get',
    params: query
  })
}
// 柱状图数据
export function listzhuzh(query) {
  return request({
    url: '/index/info/jobStyle',
    method: 'get',
    params: query
  })
}


// 查询设备信息详细
export function getDevice(id) {
  return request({
    url: '/school/device/' + id,
    method: 'get'
  })
}

// 新增设备信息
export function addDevice(data) {
  return request({
    url: '/school/device',
    method: 'post',
    data: data
  })
}

// 修改设备信息
export function updateDevice(data) {
  return request({
    url: '/school/device/put',
    method: 'post',
    data: data
  })
}

// 删除设备信息
export function delDevice(id) {
  return request({
    url: '/school/device/delete/' + id,
    method: 'get'
  })
}

// 导出
export function exportPost(query) {
  return request({
    url: '/sts/per/school/smmx/export',
    method: 'get',
    params: query
  })
}
